/*
SQLyog Ultimate v11.11 (32 bit)
MySQL - 5.5.5-10.1.37-MariaDB : Database - hrm_dcv_vn
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`hrm_dcv_vn` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;

USE `hrm_dcv_vn`;

/*Table structure for table `account_lists` */

DROP TABLE IF EXISTS `account_lists`;

CREATE TABLE `account_lists` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `account_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `initial_balance` double NOT NULL DEFAULT '0',
  `account_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `branch_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `bank_branch` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `account_lists` */

/*Table structure for table `allowance_options` */

DROP TABLE IF EXISTS `allowance_options`;

CREATE TABLE `allowance_options` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `allowance_options` */

/*Table structure for table `allowances` */

DROP TABLE IF EXISTS `allowances`;

CREATE TABLE `allowances` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `allowance_option` int(11) NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `allowances` */

/*Table structure for table `announcement_employees` */

DROP TABLE IF EXISTS `announcement_employees`;

CREATE TABLE `announcement_employees` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `announcement_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `announcement_employees` */

/*Table structure for table `announcements` */

DROP TABLE IF EXISTS `announcements`;

CREATE TABLE `announcements` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `branch_id` int(11) NOT NULL,
  `department_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `employee_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `announcements` */

/*Table structure for table `appraisals` */

DROP TABLE IF EXISTS `appraisals`;

CREATE TABLE `appraisals` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch` int(11) NOT NULL DEFAULT '0',
  `employee` int(11) NOT NULL DEFAULT '0',
  `appraisal_date` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `customer_experience` int(11) NOT NULL DEFAULT '0',
  `marketing` int(11) NOT NULL DEFAULT '0',
  `administration` int(11) NOT NULL DEFAULT '0',
  `professionalism` int(11) NOT NULL DEFAULT '0',
  `integrity` int(11) NOT NULL DEFAULT '0',
  `attendance` int(11) NOT NULL DEFAULT '0',
  `remark` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `appraisals` */

/*Table structure for table `assets` */

DROP TABLE IF EXISTS `assets`;

CREATE TABLE `assets` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `purchase_date` date NOT NULL,
  `supported_date` date NOT NULL,
  `amount` double NOT NULL DEFAULT '0',
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `assets` */

/*Table structure for table `attendance_employees` */

DROP TABLE IF EXISTS `attendance_employees`;

CREATE TABLE `attendance_employees` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `clock_in` time NOT NULL,
  `clock_out` time NOT NULL,
  `late` time NOT NULL,
  `early_leaving` time NOT NULL,
  `overtime` time NOT NULL,
  `total_rest` time NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `attendance_employees` */

/*Table structure for table `award_types` */

DROP TABLE IF EXISTS `award_types`;

CREATE TABLE `award_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `award_types` */

/*Table structure for table `awards` */

DROP TABLE IF EXISTS `awards`;

CREATE TABLE `awards` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `award_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date` date NOT NULL,
  `gift` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `awards` */

/*Table structure for table `branches` */

DROP TABLE IF EXISTS `branches`;

CREATE TABLE `branches` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `branches` */

/*Table structure for table `commissions` */

DROP TABLE IF EXISTS `commissions`;

CREATE TABLE `commissions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `commissions` */

/*Table structure for table `company_policies` */

DROP TABLE IF EXISTS `company_policies`;

CREATE TABLE `company_policies` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch` int(11) NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `attachment` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `company_policies` */

/*Table structure for table `complaints` */

DROP TABLE IF EXISTS `complaints`;

CREATE TABLE `complaints` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `complaint_from` int(11) NOT NULL,
  `complaint_against` int(11) NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `complaint_date` date NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `complaints` */

/*Table structure for table `coupons` */

DROP TABLE IF EXISTS `coupons`;

CREATE TABLE `coupons` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `discount` double(8,2) NOT NULL DEFAULT '0.00',
  `limit` int(11) NOT NULL DEFAULT '0',
  `description` text COLLATE utf8mb4_unicode_ci,
  `is_active` int(11) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `coupons` */

/*Table structure for table `deduction_options` */

DROP TABLE IF EXISTS `deduction_options`;

CREATE TABLE `deduction_options` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `deduction_options` */

/*Table structure for table `departments` */

DROP TABLE IF EXISTS `departments`;

CREATE TABLE `departments` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch_id` int(11) NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `departments` */

/*Table structure for table `deposits` */

DROP TABLE IF EXISTS `deposits`;

CREATE TABLE `deposits` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `date` date NOT NULL,
  `income_category_id` int(11) NOT NULL,
  `payer_id` int(11) NOT NULL,
  `payment_type_id` int(11) NOT NULL,
  `referal_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `deposits` */

/*Table structure for table `designations` */

DROP TABLE IF EXISTS `designations`;

CREATE TABLE `designations` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `department_id` int(11) NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `designations` */

/*Table structure for table `documents` */

DROP TABLE IF EXISTS `documents`;

CREATE TABLE `documents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_required` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `documents` */

/*Table structure for table `ducument_uploads` */

DROP TABLE IF EXISTS `ducument_uploads`;

CREATE TABLE `ducument_uploads` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `role` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `document` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `ducument_uploads` */

/*Table structure for table `employee_documents` */

DROP TABLE IF EXISTS `employee_documents`;

CREATE TABLE `employee_documents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `document_id` int(11) NOT NULL,
  `document_value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `employee_documents` */

/*Table structure for table `employees` */

DROP TABLE IF EXISTS `employees`;

CREATE TABLE `employees` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `dob` date DEFAULT NULL,
  `gender` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `employee_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `branch_id` int(11) NOT NULL,
  `department_id` int(11) NOT NULL,
  `designation_id` int(11) NOT NULL,
  `company_doj` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `documents` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_holder_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_identifier_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `branch_location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_payer_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `salary_type` int(11) DEFAULT NULL,
  `salary` double DEFAULT '0',
  `is_active` int(11) NOT NULL DEFAULT '1',
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `employees` */

/*Table structure for table `event_employees` */

DROP TABLE IF EXISTS `event_employees`;

CREATE TABLE `event_employees` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `event_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `event_employees` */

/*Table structure for table `events` */

DROP TABLE IF EXISTS `events`;

CREATE TABLE `events` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch_id` int(11) NOT NULL,
  `department_id` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `employee_id` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `events` */

/*Table structure for table `expense_types` */

DROP TABLE IF EXISTS `expense_types`;

CREATE TABLE `expense_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `expense_types` */

/*Table structure for table `expenses` */

DROP TABLE IF EXISTS `expenses`;

CREATE TABLE `expenses` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `amount` int(11) NOT NULL,
  `date` date NOT NULL,
  `expense_category_id` int(11) NOT NULL,
  `payee_id` int(11) NOT NULL,
  `payment_type_id` int(11) NOT NULL,
  `referal_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `expenses` */

/*Table structure for table `failed_jobs` */

DROP TABLE IF EXISTS `failed_jobs`;

CREATE TABLE `failed_jobs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `failed_jobs` */

/*Table structure for table `genrate_payslip_options` */

DROP TABLE IF EXISTS `genrate_payslip_options`;

CREATE TABLE `genrate_payslip_options` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `genrate_payslip_options` */

/*Table structure for table `goal_trackings` */

DROP TABLE IF EXISTS `goal_trackings`;

CREATE TABLE `goal_trackings` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch` int(11) NOT NULL,
  `goal_type` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `subject` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `target_achievement` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `status` int(11) NOT NULL DEFAULT '0',
  `progress` int(11) NOT NULL DEFAULT '0',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `goal_trackings` */

/*Table structure for table `goal_types` */

DROP TABLE IF EXISTS `goal_types`;

CREATE TABLE `goal_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `goal_types` */

/*Table structure for table `income_types` */

DROP TABLE IF EXISTS `income_types`;

CREATE TABLE `income_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `income_types` */

/*Table structure for table `indicators` */

DROP TABLE IF EXISTS `indicators`;

CREATE TABLE `indicators` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch` int(11) NOT NULL DEFAULT '0',
  `department` int(11) NOT NULL DEFAULT '0',
  `designation` int(11) NOT NULL DEFAULT '0',
  `customer_experience` int(11) NOT NULL DEFAULT '0',
  `marketing` int(11) NOT NULL DEFAULT '0',
  `administration` int(11) NOT NULL DEFAULT '0',
  `professionalism` int(11) NOT NULL DEFAULT '0',
  `integrity` int(11) NOT NULL DEFAULT '0',
  `attendance` int(11) NOT NULL DEFAULT '0',
  `created_user` int(11) NOT NULL DEFAULT '0',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `indicators` */

/*Table structure for table `leave_types` */

DROP TABLE IF EXISTS `leave_types`;

CREATE TABLE `leave_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `days` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `leave_types` */

/*Table structure for table `leaves` */

DROP TABLE IF EXISTS `leaves`;

CREATE TABLE `leaves` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `leave_type_id` int(11) NOT NULL,
  `applied_on` date NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `total_leave_days` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `leave_reason` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remark` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `leaves` */

/*Table structure for table `loan_options` */

DROP TABLE IF EXISTS `loan_options`;

CREATE TABLE `loan_options` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `loan_options` */

/*Table structure for table `loans` */

DROP TABLE IF EXISTS `loans`;

CREATE TABLE `loans` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `loan_option` int(11) NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `reason` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `loans` */

/*Table structure for table `meeting_employees` */

DROP TABLE IF EXISTS `meeting_employees`;

CREATE TABLE `meeting_employees` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `meeting_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `meeting_employees` */

/*Table structure for table `meetings` */

DROP TABLE IF EXISTS `meetings`;

CREATE TABLE `meetings` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch_id` int(11) NOT NULL,
  `department_id` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `employee_id` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date` date NOT NULL,
  `time` time NOT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `meetings` */

/*Table structure for table `messages` */

DROP TABLE IF EXISTS `messages`;

CREATE TABLE `messages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `from` bigint(20) NOT NULL,
  `to` bigint(20) NOT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_read` tinyint(4) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `messages` */

/*Table structure for table `migrations` */

DROP TABLE IF EXISTS `migrations`;

CREATE TABLE `migrations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `migrations` */

insert  into `migrations`(`id`,`migration`,`batch`) values (1,'2014_10_12_000000_create_users_table',1),(2,'2014_10_12_100000_create_password_resets_table',1),(3,'2019_08_19_000000_create_failed_jobs_table',1),(4,'2019_09_28_102009_create_settings_table',1),(5,'2019_12_26_101754_create_departments_table',1),(6,'2019_12_26_101814_create_designations_table',1),(7,'2019_12_26_105721_create_documents_table',1),(8,'2019_12_27_083751_create_branches_table',1),(9,'2019_12_27_090831_create_employees_table',1),(10,'2019_12_27_112922_create_employee_documents_table',1),(11,'2019_12_28_050508_create_awards_table',1),(12,'2019_12_28_050919_create_award_types_table',1),(13,'2019_12_31_060916_create_termination_types_table',1),(14,'2019_12_31_062259_create_terminations_table',1),(15,'2019_12_31_070521_create_resignations_table',1),(16,'2019_12_31_072252_create_travels_table',1),(17,'2019_12_31_090637_create_promotions_table',1),(18,'2019_12_31_092838_create_transfers_table',1),(19,'2019_12_31_100319_create_warnings_table',1),(20,'2019_12_31_103019_create_complaints_table',1),(21,'2020_01_02_090837_create_payslip_types_table',1),(22,'2020_01_02_093331_create_allowance_options_table',1),(23,'2020_01_02_102558_create_loan_options_table',1),(24,'2020_01_02_103822_create_deduction_options_table',1),(25,'2020_01_02_110828_create_genrate_payslip_options_table',1),(26,'2020_01_02_111807_create_set_salaries_table',1),(27,'2020_01_03_084302_create_allowances_table',1),(28,'2020_01_03_101735_create_commissions_table',1),(29,'2020_01_03_105019_create_loans_table',1),(30,'2020_01_03_105046_create_saturation_deductions_table',1),(31,'2020_01_03_105100_create_other_payments_table',1),(32,'2020_01_03_105111_create_overtimes_table',1),(33,'2020_01_04_072527_create_pay_slips_table',1),(34,'2020_01_06_045425_create_account_lists_table',1),(35,'2020_01_06_062213_create_payees_table',1),(36,'2020_01_06_070037_create_payers_table',1),(37,'2020_01_06_072939_create_income_types_table',1),(38,'2020_01_06_073055_create_expense_types_table',1),(39,'2020_01_06_085218_create_deposits_table',1),(40,'2020_01_06_090709_create_payment_types_table',1),(41,'2020_01_06_121442_create_expenses_table',1),(42,'2020_01_06_124036_create_transfer_balances_table',1),(43,'2020_01_13_084720_create_events_table',1),(44,'2020_01_16_041720_create_announcements_table',1),(45,'2020_01_16_090747_create_leave_types_table',1),(46,'2020_01_16_093256_create_leaves_table',1),(47,'2020_01_16_110357_create_meetings_table',1),(48,'2020_01_17_051906_create_tickets_table',1),(49,'2020_01_17_112647_create_ticket_replies_table',1),(50,'2020_01_23_101613_create_meeting_employees_table',1),(51,'2020_01_23_123844_create_event_employees_table',1),(52,'2020_01_24_062752_create_announcement_employees_table',1),(53,'2020_01_27_052503_create_attendance_employees_table',1),(54,'2020_02_17_035047_create_plans_table',1),(55,'2020_02_17_072503_create_orders_table',1),(56,'2020_02_28_051636_create_time_sheets_table',1),(57,'2020_03_12_095629_create_coupons_table',1),(58,'2020_03_12_120749_create_user_coupons_table',1),(59,'2020_04_18_063447_create_messages_table',1),(60,'2020_04_21_115823_create_assets_table',1),(61,'2020_05_01_122144_create_ducument_uploads_table',1),(62,'2020_05_04_070452_create_indicators_table',1),(63,'2020_05_05_023742_create_appraisals_table',1),(64,'2020_05_05_061241_create_goal_types_table',1),(65,'2020_05_05_095926_create_goal_trackings_table',1),(66,'2020_05_07_093520_create_company_policies_table',1),(67,'2020_05_07_131311_create_training_types_table',1),(68,'2020_05_08_023838_create_trainers_table',1),(69,'2020_05_08_043039_create_trainings_table',1),(70,'2020_05_21_065337_create_permission_tables',1),(71,'2020_07_06_102454_add_payment_type_in_orders_table',1),(72,'2020_07_22_131715_change_amount_type_size',1);

/*Table structure for table `model_has_permissions` */

DROP TABLE IF EXISTS `model_has_permissions`;

CREATE TABLE `model_has_permissions` (
  `permission_id` bigint(20) unsigned NOT NULL,
  `model_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`model_id`,`model_type`),
  KEY `model_has_permissions_model_id_model_type_index` (`model_id`,`model_type`),
  CONSTRAINT `model_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `model_has_permissions` */

/*Table structure for table `model_has_roles` */

DROP TABLE IF EXISTS `model_has_roles`;

CREATE TABLE `model_has_roles` (
  `role_id` bigint(20) unsigned NOT NULL,
  `model_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`role_id`,`model_id`,`model_type`),
  KEY `model_has_roles_model_id_model_type_index` (`model_id`,`model_type`),
  CONSTRAINT `model_has_roles_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `model_has_roles` */

insert  into `model_has_roles`(`role_id`,`model_type`,`model_id`) values (1,'App\\User',1);

/*Table structure for table `orders` */

DROP TABLE IF EXISTS `orders`;

CREATE TABLE `orders` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_number` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_exp_month` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_exp_year` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `plan_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `plan_id` int(11) NOT NULL,
  `price` double(8,2) NOT NULL,
  `price_currency` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `txn_id` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payment_status` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payment_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Manually',
  `receipt` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `orders_order_id_unique` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `orders` */

/*Table structure for table `other_payments` */

DROP TABLE IF EXISTS `other_payments`;

CREATE TABLE `other_payments` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `other_payments` */

/*Table structure for table `overtimes` */

DROP TABLE IF EXISTS `overtimes`;

CREATE TABLE `overtimes` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `number_of_days` int(11) NOT NULL,
  `hours` int(11) NOT NULL,
  `rate` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `overtimes` */

/*Table structure for table `password_resets` */

DROP TABLE IF EXISTS `password_resets`;

CREATE TABLE `password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `password_resets` */

/*Table structure for table `pay_slips` */

DROP TABLE IF EXISTS `pay_slips`;

CREATE TABLE `pay_slips` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `net_payble` int(11) NOT NULL,
  `salary_month` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` int(11) NOT NULL,
  `basic_salary` int(11) NOT NULL,
  `allowance` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `commission` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `loan` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `saturation_deduction` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `other_payment` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `overtime` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `pay_slips` */

/*Table structure for table `payees` */

DROP TABLE IF EXISTS `payees`;

CREATE TABLE `payees` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `payee_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `contact_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `payees` */

/*Table structure for table `payers` */

DROP TABLE IF EXISTS `payers`;

CREATE TABLE `payers` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `payer_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `contact_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `payers` */

/*Table structure for table `payment_types` */

DROP TABLE IF EXISTS `payment_types`;

CREATE TABLE `payment_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `payment_types` */

/*Table structure for table `payslip_types` */

DROP TABLE IF EXISTS `payslip_types`;

CREATE TABLE `payslip_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `payslip_types` */

/*Table structure for table `permissions` */

DROP TABLE IF EXISTS `permissions`;

CREATE TABLE `permissions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `guard_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=243 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `permissions` */

insert  into `permissions`(`id`,`name`,`guard_name`,`created_at`,`updated_at`) values (1,'Manage User','web','2020-10-09 12:08:08','2020-10-09 12:08:08'),(2,'Create User','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(3,'Edit User','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(4,'Delete User','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(5,'Manage Role','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(6,'Create Role','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(7,'Delete Role','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(8,'Edit Role','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(9,'Manage Award','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(10,'Create Award','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(11,'Delete Award','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(12,'Edit Award','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(13,'Manage Transfer','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(14,'Create Transfer','web','2020-10-09 12:08:09','2020-10-09 12:08:09'),(15,'Delete Transfer','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(16,'Edit Transfer','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(17,'Manage Resignation','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(18,'Create Resignation','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(19,'Edit Resignation','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(20,'Delete Resignation','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(21,'Manage Travel','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(22,'Create Travel','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(23,'Edit Travel','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(24,'Delete Travel','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(25,'Manage Promotion','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(26,'Create Promotion','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(27,'Edit Promotion','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(28,'Delete Promotion','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(29,'Manage Complaint','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(30,'Create Complaint','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(31,'Edit Complaint','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(32,'Delete Complaint','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(33,'Manage Warning','web','2020-10-09 12:08:10','2020-10-09 12:08:10'),(34,'Create Warning','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(35,'Edit Warning','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(36,'Delete Warning','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(37,'Manage Termination','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(38,'Create Termination','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(39,'Edit Termination','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(40,'Delete Termination','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(41,'Manage Department','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(42,'Create Department','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(43,'Edit Department','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(44,'Delete Department','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(45,'Manage Designation','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(46,'Create Designation','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(47,'Edit Designation','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(48,'Delete Designation','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(49,'Manage Document Type','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(50,'Create Document Type','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(51,'Edit Document Type','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(52,'Delete Document Type','web','2020-10-09 12:08:11','2020-10-09 12:08:11'),(53,'Manage Branch','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(54,'Create Branch','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(55,'Edit Branch','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(56,'Delete Branch','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(57,'Manage Award Type','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(58,'Create Award Type','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(59,'Edit Award Type','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(60,'Delete Award Type','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(61,'Manage Termination Type','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(62,'Create Termination Type','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(63,'Edit Termination Type','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(64,'Delete Termination Type','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(65,'Manage Employee','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(66,'Create Employee','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(67,'Edit Employee','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(68,'Delete Employee','web','2020-10-09 12:08:12','2020-10-09 12:08:12'),(69,'Show Employee','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(70,'Manage Payslip Type','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(71,'Create Payslip Type','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(72,'Edit Payslip Type','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(73,'Delete Payslip Type','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(74,'Manage Allowance Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(75,'Create Allowance Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(76,'Edit Allowance Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(77,'Delete Allowance Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(78,'Manage Loan Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(79,'Create Loan Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(80,'Edit Loan Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(81,'Delete Loan Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(82,'Manage Deduction Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(83,'Create Deduction Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(84,'Edit Deduction Option','web','2020-10-09 12:08:13','2020-10-09 12:08:13'),(85,'Delete Deduction Option','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(86,'Manage Set Salary','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(87,'Create Set Salary','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(88,'Edit Set Salary','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(89,'Delete Set Salary','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(90,'Manage Allowance','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(91,'Create Allowance','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(92,'Edit Allowance','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(93,'Delete Allowance','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(94,'Create Commission','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(95,'Create Loan','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(96,'Create Saturation Deduction','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(97,'Create Other Payment','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(98,'Create Overtime','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(99,'Edit Commission','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(100,'Delete Commission','web','2020-10-09 12:08:14','2020-10-09 12:08:14'),(101,'Edit Loan','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(102,'Delete Loan','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(103,'Edit Saturation Deduction','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(104,'Delete Saturation Deduction','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(105,'Edit Other Payment','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(106,'Delete Other Payment','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(107,'Edit Overtime','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(108,'Delete Overtime','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(109,'Manage Pay Slip','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(110,'Create Pay Slip','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(111,'Edit Pay Slip','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(112,'Delete Pay Slip','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(113,'Manage Account List','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(114,'Create Account List','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(115,'Edit Account List','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(116,'Delete Account List','web','2020-10-09 12:08:15','2020-10-09 12:08:15'),(117,'View Balance Account List','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(118,'Manage Payee','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(119,'Create Payee','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(120,'Edit Payee','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(121,'Delete Payee','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(122,'Manage Payer','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(123,'Create Payer','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(124,'Edit Payer','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(125,'Delete Payer','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(126,'Manage Expense Type','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(127,'Create Expense Type','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(128,'Edit Expense Type','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(129,'Delete Expense Type','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(130,'Manage Income Type','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(131,'Edit Income Type','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(132,'Delete Income Type','web','2020-10-09 12:08:16','2020-10-09 12:08:16'),(133,'Create Income Type','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(134,'Manage Payment Type','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(135,'Create Payment Type','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(136,'Edit Payment Type','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(137,'Delete Payment Type','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(138,'Manage Deposit','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(139,'Create Deposit','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(140,'Edit Deposit','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(141,'Delete Deposit','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(142,'Manage Expense','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(143,'Create Expense','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(144,'Edit Expense','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(145,'Delete Expense','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(146,'Manage Transfer Balance','web','2020-10-09 12:08:17','2020-10-09 12:08:17'),(147,'Create Transfer Balance','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(148,'Edit Transfer Balance','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(149,'Delete Transfer Balance','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(150,'Manage Event','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(151,'Create Event','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(152,'Edit Event','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(153,'Delete Event','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(154,'Manage Announcement','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(155,'Create Announcement','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(156,'Edit Announcement','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(157,'Delete Announcement','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(158,'Manage Leave Type','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(159,'Create Leave Type','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(160,'Edit Leave Type','web','2020-10-09 12:08:18','2020-10-09 12:08:18'),(161,'Delete Leave Type','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(162,'Manage Leave','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(163,'Create Leave','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(164,'Edit Leave','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(165,'Delete Leave','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(166,'Manage Meeting','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(167,'Create Meeting','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(168,'Edit Meeting','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(169,'Delete Meeting','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(170,'Manage Ticket','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(171,'Create Ticket','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(172,'Edit Ticket','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(173,'Delete Ticket','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(174,'Manage Attendance','web','2020-10-09 12:08:19','2020-10-09 12:08:19'),(175,'Create Attendance','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(176,'Edit Attendance','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(177,'Delete Attendance','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(178,'Manage Language','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(179,'Create Language','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(180,'Manage Plan','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(181,'Create Plan','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(182,'Edit Plan','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(183,'Buy Plan','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(184,'Manage System Settings','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(185,'Manage Company Settings','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(186,'Manage TimeSheet','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(187,'Create TimeSheet','web','2020-10-09 12:08:20','2020-10-09 12:08:20'),(188,'Edit TimeSheet','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(189,'Delete TimeSheet','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(190,'Manage Order','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(191,'manage coupon','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(192,'create coupon','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(193,'edit coupon','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(194,'delete coupon','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(195,'Manage Assets','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(196,'Create Assets','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(197,'Edit Assets','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(198,'Delete Assets','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(199,'Manage Document','web','2020-10-09 12:08:21','2020-10-09 12:08:21'),(200,'Create Document','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(201,'Edit Document','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(202,'Delete Document','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(203,'Manage Employee Profile','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(204,'Show Employee Profile','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(205,'Manage Employee Last Login','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(206,'Manage Indicator','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(207,'Create Indicator','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(208,'Edit Indicator','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(209,'Delete Indicator','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(210,'Show Indicator','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(211,'Manage Appraisal','web','2020-10-09 12:08:22','2020-10-09 12:08:22'),(212,'Create Appraisal','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(213,'Edit Appraisal','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(214,'Delete Appraisal','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(215,'Show Appraisal','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(216,'Manage Goal Type','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(217,'Create Goal Type','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(218,'Edit Goal Type','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(219,'Delete Goal Type','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(220,'Manage Goal Tracking','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(221,'Create Goal Tracking','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(222,'Edit Goal Tracking','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(223,'Delete Goal Tracking','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(224,'Manage Company Policy','web','2020-10-09 12:08:23','2020-10-09 12:08:23'),(225,'Create Company Policy','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(226,'Edit Company Policy','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(227,'Delete Company Policy','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(228,'Manage Trainer','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(229,'Create Trainer','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(230,'Edit Trainer','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(231,'Delete Trainer','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(232,'Show Trainer','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(233,'Manage Training','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(234,'Create Training','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(235,'Edit Training','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(236,'Delete Training','web','2020-10-09 12:08:24','2020-10-09 12:08:24'),(237,'Show Training','web','2020-10-09 12:08:25','2020-10-09 12:08:25'),(238,'Manage Training Type','web','2020-10-09 12:08:25','2020-10-09 12:08:25'),(239,'Create Training Type','web','2020-10-09 12:08:25','2020-10-09 12:08:25'),(240,'Edit Training Type','web','2020-10-09 12:08:25','2020-10-09 12:08:25'),(241,'Delete Training Type','web','2020-10-09 12:08:25','2020-10-09 12:08:25'),(242,'Manage Report','web','2020-10-09 12:08:25','2020-10-09 12:08:25');

/*Table structure for table `plans` */

DROP TABLE IF EXISTS `plans`;

CREATE TABLE `plans` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` double(8,2) NOT NULL DEFAULT '0.00',
  `duration` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `max_users` int(11) NOT NULL DEFAULT '0',
  `max_employees` int(11) NOT NULL DEFAULT '0',
  `description` text COLLATE utf8mb4_unicode_ci,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `plans_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `plans` */

insert  into `plans`(`id`,`name`,`price`,`duration`,`max_users`,`max_employees`,`description`,`image`,`created_at`,`updated_at`) values (1,'Free Plan',0.00,'Unlimited',1,5,NULL,'free_plan.png','2020-10-09 12:17:37','2020-10-09 12:17:37');

/*Table structure for table `promotions` */

DROP TABLE IF EXISTS `promotions`;

CREATE TABLE `promotions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `designation_id` int(11) NOT NULL,
  `promotion_title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `promotion_date` date NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `promotions` */

/*Table structure for table `resignations` */

DROP TABLE IF EXISTS `resignations`;

CREATE TABLE `resignations` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `notice_date` date NOT NULL,
  `resignation_date` date NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `resignations` */

/*Table structure for table `role_has_permissions` */

DROP TABLE IF EXISTS `role_has_permissions`;

CREATE TABLE `role_has_permissions` (
  `permission_id` bigint(20) unsigned NOT NULL,
  `role_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`role_id`),
  KEY `role_has_permissions_role_id_foreign` (`role_id`),
  CONSTRAINT `role_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `role_has_permissions_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `role_has_permissions` */

insert  into `role_has_permissions`(`permission_id`,`role_id`) values (1,1),(1,2),(2,1),(2,2),(3,1),(3,2),(4,1),(4,2),(5,1),(5,2),(6,1),(6,2),(7,1),(7,2),(8,1),(8,2),(9,2),(10,2),(11,2),(12,2),(13,2),(14,2),(15,2),(16,2),(17,2),(18,2),(19,2),(20,2),(21,2),(22,2),(23,2),(24,2),(25,2),(26,2),(27,2),(28,2),(29,2),(30,2),(31,2),(32,2),(33,2),(34,2),(35,2),(36,2),(37,2),(38,2),(39,2),(40,2),(41,2),(42,2),(43,2),(44,2),(45,2),(46,2),(47,2),(48,2),(49,2),(50,2),(51,2),(52,2),(53,2),(54,2),(55,2),(56,2),(57,2),(58,2),(59,2),(60,2),(61,2),(62,2),(63,2),(64,2),(65,2),(66,2),(67,2),(68,2),(69,2),(70,2),(71,2),(72,2),(73,2),(74,2),(75,2),(76,2),(77,2),(78,2),(79,2),(80,2),(81,2),(82,2),(83,2),(84,2),(85,2),(86,2),(87,2),(88,2),(89,2),(90,2),(91,2),(92,2),(93,2),(94,2),(95,2),(96,2),(97,2),(98,2),(99,2),(100,2),(101,2),(102,2),(103,2),(104,2),(105,2),(106,2),(107,2),(108,2),(109,2),(110,2),(111,2),(112,2),(113,2),(114,2),(115,2),(116,2),(117,2),(118,2),(119,2),(178,1),(179,1),(180,1),(181,1),(182,1),(184,1),(190,1),(191,1),(192,1),(193,1),(194,1);

/*Table structure for table `roles` */

DROP TABLE IF EXISTS `roles`;

CREATE TABLE `roles` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `guard_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `roles` */

insert  into `roles`(`id`,`name`,`guard_name`,`created_by`,`created_at`,`updated_at`) values (1,'super admin','web',0,'2020-10-09 12:08:25','2020-10-09 12:08:25'),(2,'company','web',1,'2020-10-09 12:08:27','2020-10-09 12:08:27');

/*Table structure for table `saturation_deductions` */

DROP TABLE IF EXISTS `saturation_deductions`;

CREATE TABLE `saturation_deductions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `deduction_option` int(11) NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `saturation_deductions` */

/*Table structure for table `set_salaries` */

DROP TABLE IF EXISTS `set_salaries`;

CREATE TABLE `set_salaries` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `set_salaries` */

/*Table structure for table `settings` */

DROP TABLE IF EXISTS `settings`;

CREATE TABLE `settings` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `settings_name_created_by_unique` (`name`,`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `settings` */

/*Table structure for table `termination_types` */

DROP TABLE IF EXISTS `termination_types`;

CREATE TABLE `termination_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `termination_types` */

/*Table structure for table `terminations` */

DROP TABLE IF EXISTS `terminations`;

CREATE TABLE `terminations` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `notice_date` date NOT NULL,
  `termination_date` date NOT NULL,
  `termination_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `terminations` */

/*Table structure for table `ticket_replies` */

DROP TABLE IF EXISTS `ticket_replies`;

CREATE TABLE `ticket_replies` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `is_read` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `ticket_replies` */

/*Table structure for table `tickets` */

DROP TABLE IF EXISTS `tickets`;

CREATE TABLE `tickets` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `employee_id` int(11) NOT NULL,
  `priority` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `end_date` date NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `ticket_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `tickets` */

/*Table structure for table `time_sheets` */

DROP TABLE IF EXISTS `time_sheets`;

CREATE TABLE `time_sheets` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  `hours` double(8,2) NOT NULL DEFAULT '0.00',
  `remark` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `time_sheets` */

/*Table structure for table `trainers` */

DROP TABLE IF EXISTS `trainers`;

CREATE TABLE `trainers` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `firstname` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lastname` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `contact` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` text COLLATE utf8mb4_unicode_ci,
  `expertise` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `trainers` */

/*Table structure for table `training_types` */

DROP TABLE IF EXISTS `training_types`;

CREATE TABLE `training_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `training_types` */

/*Table structure for table `trainings` */

DROP TABLE IF EXISTS `trainings`;

CREATE TABLE `trainings` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `branch` int(11) NOT NULL,
  `trainer_option` int(11) NOT NULL,
  `training_type` int(11) NOT NULL,
  `trainer` int(11) NOT NULL,
  `training_cost` double(8,2) NOT NULL DEFAULT '0.00',
  `employee` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `performance` int(11) NOT NULL DEFAULT '0',
  `status` int(11) NOT NULL DEFAULT '0',
  `remarks` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `trainings` */

/*Table structure for table `transfer_balances` */

DROP TABLE IF EXISTS `transfer_balances`;

CREATE TABLE `transfer_balances` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `from_account_id` int(11) NOT NULL,
  `to_account_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `amount` int(11) NOT NULL,
  `payment_type_id` int(11) NOT NULL,
  `referal_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `transfer_balances` */

/*Table structure for table `transfers` */

DROP TABLE IF EXISTS `transfers`;

CREATE TABLE `transfers` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `department_id` int(11) NOT NULL,
  `transfer_date` date NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `transfers` */

/*Table structure for table `travels` */

DROP TABLE IF EXISTS `travels`;

CREATE TABLE `travels` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `employee_id` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `purpose_of_visit` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `place_of_visit` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `travels` */

/*Table structure for table `user_coupons` */

DROP TABLE IF EXISTS `user_coupons`;

CREATE TABLE `user_coupons` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `coupon` int(11) NOT NULL,
  `order` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `user_coupons` */

/*Table structure for table `users` */

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `plan` int(11) DEFAULT NULL,
  `plan_expire_date` date DEFAULT NULL,
  `last_login` timestamp NULL DEFAULT NULL,
  `is_active` int(11) NOT NULL DEFAULT '1',
  `created_by` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `users` */

insert  into `users`(`id`,`name`,`email`,`email_verified_at`,`password`,`type`,`avatar`,`lang`,`plan`,`plan_expire_date`,`last_login`,`is_active`,`created_by`,`remember_token`,`created_at`,`updated_at`) values (1,'Super Admin','superadmin@example.com',NULL,'$2y$10$3wOipc1I7XsH30OGCZlgzeRp5KljziqQdJMqv8C3OUIh7DgLQaFve','super admin','','en',NULL,NULL,'2020-10-09 12:12:21',1,'0',NULL,'2020-10-09 12:08:27','2020-10-09 12:12:21');

/*Table structure for table `warnings` */

DROP TABLE IF EXISTS `warnings`;

CREATE TABLE `warnings` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `warning_to` int(11) NOT NULL,
  `warning_by` int(11) NOT NULL,
  `subject` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `warning_date` date NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*Data for the table `warnings` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
